Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.valueobject
Class Output

    java.lang.Object
      com.gisgraphy.domain.valueobject.Output

    public class Output

extends java.lang.Object

Represent an output specification.

Author:
  David Masclet
See Also:
  DSL

Nested Class Summary
`static class` | `Output.OutputFormat` All the possible fulltext search output format, all the OUTPUFORMAT enum should be in uppercase
`static class` | `Output.OutputStyle` All the possible fulltext search output style verbosity Short (basic informations) : feature_id, name, fully_qualified_name, zipcode (if city), placetype, country_code, country_name Medium (More informations) : Short + lat, lon, feature_class, feature_code, population, fips Long (AlternateNames +adm informations) : Medium + alternateNames, adm1_name, adm2_name, adm3_name, Adm4_name, adm1_code, Adm2_code, Adm3_code, Adm4_code Full (alternatenames for adm and country): Long + country_alternate_name_, adm1_alternate_name_, adm2_alternate_name_

Field Summary
`static java.lang.String` | `DEFAULT_LANGUAGE_CODE` The Default `languageCode`
`static Output` | `DEFAULT_OUTPUT` Output with default values
`static Output.OutputFormat` | `DEFAULT_OUTPUT_FORMAT` The default output format
`static Output.OutputStyle` | `DEFAULT_OUTPUT_STYLE` The Default Output style

Method Summary
`java.lang.String` | `getFields()`
`Output.OutputFormat` | `getFormat()`
`java.lang.String` | `getLanguageCode()`
`Output.OutputStyle` | `getStyle()`
`boolean` | `isIndented()`
`java.lang.String` | `toString()`
`static Output` | `withDefaultFormat()`
`static Output` | `withFormat(Output.OutputFormat format)`
`Output` | `withIndentation()` This method force the output to be indented
`Output` | `withLanguageCode(java.lang.String languageCode)`
`Output` | `withStyle(Output.OutputStyle style)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_OUTPUT_FORMAT

    public static final Output.OutputFormat DEFAULT_OUTPUT_FORMAT

  The default output format

### DEFAULT_OUTPUT_STYLE

    public static final Output.OutputStyle DEFAULT_OUTPUT_STYLE

  The Default Output style

### DEFAULT_LANGUAGE_CODE

    public static final java.lang.String DEFAULT_LANGUAGE_CODE

  The Default `languageCode`

### DEFAULT_OUTPUT

    public static final Output DEFAULT_OUTPUT

  Output with default values

Method Detail

### withFormat

    public static Output withFormat(Output.OutputFormat format)

  Parameters:
    `format` - The format the output shoud have
  Returns:
    an output specification with the specified format

### withDefaultFormat

    public static Output withDefaultFormat()

  Returns:
    an output specification with default output format
  See Also:
    `DEFAULT_OUTPUT_FORMAT`

### getFields

    public java.lang.String getFields()

  Returns:
    the list of fields that will be returned in the output according to the `getLanguageCode()` and `Output.OutputStyle` (the fields return by the full text search engine)

### getFormat

    public Output.OutputFormat getFormat()

  Returns:
    the format, default is `DEFAULT_OUTPUT_FORMAT`
  See Also:
    `withFormat(com.gisgraphy.domain.valueobject.Output.OutputFormat)`

### getLanguageCode

    public java.lang.String getLanguageCode()

  Returns:
    the iso639 Alpha2 LanguageCode, default is `DEFAULT_LANGUAGE_CODE`
  See Also:
    `withLanguageCode(String)`

### getStyle

    public Output.OutputStyle getStyle()

  Returns:
    the style, default is `DEFAULT_OUTPUT_STYLE`
  See Also:
    `withStyle(com.gisgraphy.domain.valueobject.Output.OutputStyle)`

### isIndented

    public boolean isIndented()

  Returns:
    wether the output must be indent, default to false
  See Also:
    `withIndentation()`

### withIndentation

    public Output withIndentation()

  This method force the output to be indented

  Returns:
    the current Object instance in order to chain methods
  See Also:
    DSL

### withLanguageCode

    public Output withLanguageCode(java.lang.String languageCode)

  Parameters:
    `languageCode` - The iso639Alpha2 LanguageCode parameter that the output format should be, the fulltext results will be in the specified language The language code can be null or a non existing language code (no check is done).if the specified languageCode is null or an empty string, it will be set to null
  Returns:
    the current Object instance in order to chain methods
  See Also:
    DSL

### withStyle

    public Output withStyle(Output.OutputStyle style)

  Parameters:
    `style` - The verbosity style parameter that the output format should have, the output will include more or less data according to the specified style
  Returns:
    the current Object instance in order to chain methods
  See Also:
    DSL

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.